#!/bin/bash
PUBKEY=$(echo -e "Публичный ключ на $(date):\n$(cat /root/.ssh/id_rsa.pub)")
mosquitto_pub -t /iq/bridge/pubkey -r -m "$PUBKEY" -q 2 || exit 1

mosquitto_pub -t /iq/bridge/remote_control/status -r -m "Ожидаем с $(date)" -q 1 || exit 1
mosquitto_sub -C 5 -t /iq/bridge/remote_control || exit 1

{
    timeout 2400 mosquitto_sub -t /iq/bridge/remote_control/close -C 2
    mosquitto_pub -t /iq/bridge/remote_control/status -r -m "$(date) Сессия закрыта." -q 1
    kill $$
} &

mosquitto_pub -t /iq/bridge/remote_control/status -r -m "Получение параметров $(date)" -q 1 && \
CLIENT_PORT=$(mosquitto_sub -t /iq/bridge/remote_control/client_port -C 1) && \
NODE_TYPE=$(mosquitto_sub -t /iq/bridge/remote_control/node_type -C 1) && \
mosquitto_pub -t /iq/bridge/remote_control/status -r -m "Параметры получены: тип ноды ${NODE_TYPE}, порт клиента ${CLIENT_PORT}" -q 1 && \
mosquitto_pub -t /iq/bridge/remote_control/status -r -m "Подключаемся..." -q 1 && \
ssh -R ${CLIENT_PORT}:localhost:22 iqdata@${NODE_TYPE}.iqnergy.com -N
mosquitto_pub -t /iq/bridge/remote_control/status -r -m -q 1 "$(date) Ошибка. Сессия закрыта."
